Package org.flowable.bpmn.model

# Class AdhocSubProcess

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.SubProcess
org.flowable.bpmn.model.AdhocSubProcess

All Implemented Interfaces:
  `FlowElementsContainer`, `HasExecutionListeners`, `HasExtensionAttributes`

public class AdhocSubProcess extends SubProcess

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `cancelRemainingInstances`
  `protected String`
  `completionCondition`
  `protected String`
  `ordering`
  `static final String`
  `ORDERING_PARALLEL`
  `static final String`
  `ORDERING_SEQUENTIALL`

  ### Fields inherited from class org.flowable.bpmn.model.SubProcess

  `artifactList, artifactMap, dataObjects, flowElementList, flowElementMap`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdhocSubProcess()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCompletionCondition()`
  `String`
  `getOrdering()`
  `boolean`
  `hasParallelOrdering()`
  `boolean`
  `hasSequentialOrdering()`
  `boolean`
  `isCancelRemainingInstances()`
  `void`
  `setCancelRemainingInstances(boolean cancelRemainingInstances)`
  `void`
  `setCompletionCondition(String completionCondition)`
  `void`
  `setOrdering(String ordering)`

  ### Methods inherited from class org.flowable.bpmn.model.SubProcess

  `addArtifact, addArtifactToMap, addFlowElement, addFlowElementToMap, clone, containsFlowElementId, findAllSubFlowElementInFlowMapOfType, findFirstSubFlowElementInFlowMapOfType, getArtifact, getArtifactMap, getArtifacts, getDataObjects, getFlowElement, getFlowElementMap, getFlowElements, removeArtifact, removeFlowElement, removeFlowElementFromMap, setDataObjects, setFlowElementMap, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.flowable.bpmn.model.FlowElementsContainer

  `getId`

- ## Field Details

  - ### ORDERING_PARALLEL

    public static final String ORDERING_PARALLEL
    See Also:
      - Constant Field Values

  - ### ORDERING_SEQUENTIALL

    public static final String ORDERING_SEQUENTIALL
    See Also:
      - Constant Field Values

  - ### completionCondition

    protected String completionCondition

  - ### ordering

    protected String ordering

  - ### cancelRemainingInstances

    protected boolean cancelRemainingInstances

- ## Constructor Details

  - ### AdhocSubProcess

    public AdhocSubProcess()

- ## Method Details

  - ### getCompletionCondition

    public String getCompletionCondition()

  - ### setCompletionCondition

    public void setCompletionCondition(String completionCondition)

  - ### getOrdering

    public String getOrdering()

  - ### setOrdering

    public void setOrdering(String ordering)

  - ### hasParallelOrdering

    public boolean hasParallelOrdering()

  - ### hasSequentialOrdering

    public boolean hasSequentialOrdering()

  - ### isCancelRemainingInstances

    public boolean isCancelRemainingInstances()

  - ### setCancelRemainingInstances

    public void setCancelRemainingInstances(boolean cancelRemainingInstances)